/*
 * ValidarPieza.java
 *
 * Created on 5 de junio de 2007, 19:15
 */

import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;
import java.io.*;
import java.lang.String.*;
import java.text.*;

/**
 *
 * @author  MGM
 * @version
 */
public class ValidarPieza extends HttpServlet {
      
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, java.io.IOException {
        HttpSession session = request.getSession();

        String IdPieza = request.getParameter("IdPieza");
        String TipoPieza = request.getParameter("TipoPieza");
        String Descripcion = request.getParameter("Descripcion");
        String Autor = request.getParameter("Autor");
        String Titulo = request.getParameter("Titulo");
        String Estilo = request.getParameter("Estilo");
        String AnyoCreacion = request.getParameter("AnyoCreacion");
        String PrecioTasado = request.getParameter("PrecioTasado");
        String PrecioProveedor   = request.getParameter("PrecioProveedor");
        String PrecioCompra = request.getParameter("PrecioCompra");
        String PrecioSalidaSubasta = request.getParameter("PrecioSalidaSubasta");
        String BoolSubastado = request.getParameter("BoolSubastado");
        String BoolVendido = request.getParameter("BoolVendido");
        //Localmente se llama desde la carpeta JSP
        String paginaSiguiente ="/JSP/mensajesPieza.jsp"; 
         
        PrintWriter out = response.getWriter();         

        boolean val = true;
        
        request.setAttribute("proceso", "Envio_ok");  
        
        //Validar Datos obligatorios
        if (IdPieza.equals(""))
            request.setAttribute("proceso", "ErrorDatos");                
                               
        request.setAttribute("IdPieza_fin", IdPieza);
        request.setAttribute("TipoPieza_fin", TipoPieza);
        request.setAttribute("Descripcion_fin", Descripcion);        
        request.setAttribute("Autor_fin", Autor);
        request.setAttribute("Titulo_fin", Titulo);
        request.setAttribute("Estilo_fin", Estilo);
        request.setAttribute("AnyoCreacion_fin", AnyoCreacion);
        request.setAttribute("PrecioTasado_fin", PrecioTasado);
        request.setAttribute("PrecioProveedor_fin", PrecioProveedor);
        request.setAttribute("PrecioCompra_fin", PrecioCompra);
        request.setAttribute("PrecioSalidaSubasta_fin", PrecioSalidaSubasta);
        request.setAttribute("BoolSubastado_fin", BoolSubastado);
        request.setAttribute("BoolVendido_fin", BoolVendido);
        
        //Invocar el Response servlet
        RequestDispatcher rd;
        rd = getServletContext().getRequestDispatcher(paginaSiguiente);
        rd.include(request,response);        
    }

    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Servlet que valida datos del Registro de la Pieza";
    }
    
}
